View Issue Details

IDProjectCategoryView StatusLast Update
0002452SymmetricDSBugpublic2016-02-12 13:26
Reportermaver1ckAssigned Toelong 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.27 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002452: Unable to synchronize longvarchar from MySQL
DescriptionI've got table with longvarchar type on my MySQL server.

When i'm trying to synchronize it instead of data I'm getting values like this '[B@7992c595'

Problem exists both in Web Console and in target database.
Steps To Reproduce1) Create table on MySQL with longvarchar column
2) Configure synchronization to another MySQL database
3) Run synchronization
TagsNo tags attached.

Activities

maver1ck

2015-11-20 13:41

reporter   ~0000731

I mean longtext. Not longvarchar

elong

2016-01-28 10:30

developer   ~0000753

I think the other step needed to reproduce this is to use a binary collation. For example, using:

create database mydb character set = 'utf8' collate = 'utf8_bin';

The collation can also be set at the table or column level. MySQL will report a column as LONGTEXT, but querying results from that column will bring back bytes.

I have a working fix checked in, and patch is available here:

http://www.jumpmind.com/downloads/symmetricds/patches/3.7/patch-0002452.jar

Related Changesets

SymmetricDS: 3.7 2b04e58a

2016-01-28 10:29:18

admin

Details Diff
0002452: Unable to synchronize longvarchar from MySQL
0002452
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-11-20 13:39 maver1ck New Issue
2015-11-20 13:41 maver1ck Note Added: 0000731
2016-01-28 10:30 elong Note Added: 0000753
2016-01-28 10:30 elong Assigned To => elong
2016-01-28 10:30 elong Status new => assigned
2016-01-28 10:30 elong Fixed in Version => 3.7.29
2016-01-28 10:30 elong Target Version => 3.7.29
2016-01-28 10:30 elong Status assigned => resolved
2016-01-28 10:30 elong Resolution open => fixed
2016-01-28 11:00 admin Changeset attached => SymmetricDS 3.7 2b04e58a
2016-02-12 13:26 chenson Status resolved => closed